Bug 212544 - Incorrect Symbolic Link in /lib/modules for FC5 2.6.18 Kernel Sources
Incorrect Symbolic Link in /lib/modules for FC5 2.6.18 Kernel Sources
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-27 07:38 EDT by Nick Fitzkee
Modified: 2015-01-04 17:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-28 01:34:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nick Fitzkee 2006-10-27 07:38:03 EDT
Version-Release number of selected component (if applicable):
kernel-smp-devel-2.6.18-1.2200.fc5.i686.rpm

How reproducible:
Always; simply install the affected RPM.

Actual results:

A symbolic link is created as /lib/modules/2.6.18-1.2200.fc5smp/build that,
instead of pointing to ../../../usr/src/kernels/2.6.18-1.2200.fc5-smp-i686,
where the actual source is, points to
../../../usr/src/kernels/2.6.18-1.2200.fc5-smp-i586 (i.e. i686 vs. i586).  Thus,
a dead link exists where the kernel sources should be.

It's a trivial bug to fix if you are looking for it, but it does cause problems
with the default kernel source location finder of nvidia's installer program.
Comment 1 Nick Fitzkee 2006-10-27 12:20:46 EDT
Please disregard--this appears to be a problem on my part.  

Note You need to log in before you can comment on or make changes to this bug.